=== debian/control ===
Source: cmtk
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libmxml-dev,
               libsqlite3-dev,
               zlib1g-dev | libz-dev,
               libdcmtk-dev | libdcmtk2-dev | libdcmtk1-dev,
               libbz2-dev,
               libfftw3-dev,
               liblzma-dev,
               libpng-dev,
               libtiff-dev | libtiff4-dev,
               libwrap0-dev,
               libcharls-dev | libdcmtk1-dev,
               libxml2-dev,
               libssl-dev,
               xvfb,
               bc,
               dc,
               xauth
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/neurodebian-team/cmtk
Vcs-Git: https://salsa.debian.org/neurodebian-team/cmtk.git
Homepage: http://www.nitrc.org/projects/cmtk/

Package: cmtk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: sri24-atlas
Suggests: numdiff
Description: Computational Morphometry Toolkit
 A software toolkit for computational morphometry of biomedical
 images, CMTK comprises a set of command line tools and a back-end
 general-purpose library for processing and I/O.
 .
 The command line tools primarily provide the following functionality:
 registration (affine and nonrigid; single and multi-channel; pairwise
 and groupwise), image correction (MR bias field estimation;
 interleaved image artifact correction), processing (filters;
 combination of segmentations via voting and STAPLE; shape-based
 averaging), statistics (t-tests; general linear regression).
