=== debian/changelog ===
cmtk (3.3.1p2+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against libdcmtk16

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 02:54:07 +0000

cmtk (3.3.1p2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #984019
  * Move packaging to Debian Med team
  * Remove debian/gbp.conf
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use ?= for assignments to architecture variables.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Nov 2021 14:36:39 +0100
