=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: cmtk
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libmxml-dev,
                libsqlite3-dev,
@@ -23,10 +24,11 @@
                bc,
                dc,
                xauth
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/cmtk
-Vcs-Git: https://salsa.debian.org/neurodebian-team/cmtk.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/cmtk
+Vcs-Git: https://salsa.debian.org/med-team/cmtk.git
 Homepage: http://www.nitrc.org/projects/cmtk/
+Rules-Requires-Root: no
 
 Package: cmtk
 Architecture: any
